> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Invokes the c1.api.vault.v1.VaultService.Get method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/vaults/{id}
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/vaults/{id}:
    get:
      tags:
        - Vault
      summary: Get
      description: Invokes the c1.api.vault.v1.VaultService.Get method.
      operationId: c1.api.vault.v1.VaultService.Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.vault.v1.VaultServiceGetResponse'
          description: Successful response
      x-codeSamples:
        - lang: go
          label: Get
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Vault.Get(ctx, operations.C1APIVaultV1VaultServiceGetRequest{\n        ID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VaultServiceGetResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.vault.v1.VaultServiceGetResponse:
      description: The VaultServiceGetResponse message.
      properties:
        vault:
          $ref: '#/components/schemas/c1.api.vault.v1.Vault'
      title: Vault Service Get Response
      type: object
      x-speakeasy-name-override: VaultServiceGetResponse
    c1.api.vault.v1.Vault:
      description: >
        The Vault message.


        This message contains a oneof named vault. Only a single field of the
        following list may be set at a time:
          - groupAuthzVault
          - magicVault
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type: string
        credentialExpirationDuration:
          format: duration
          readOnly: false
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        groupAuthzVault:
          $ref: '#/components/schemas/c1.api.vault.v1.GroupAuthzVault'
        id:
          description: The id field.
          readOnly: false
          type: string
        magicVault:
          $ref: '#/components/schemas/c1.api.vault.v1.MagicVault'
        updatedAt:
          format: date-time
          readOnly: true
          type: string
      title: Vault
      type: object
      x-speakeasy-entity: Vault
      x-speakeasy-name-override: Vault
    c1.api.vault.v1.GroupAuthzVault:
      description: The GroupAuthzVault message.
      nullable: true
      title: Group Authz Vault
      type: object
      x-speakeasy-name-override: GroupAuthzVault
    c1.api.vault.v1.MagicVault:
      description: The MagicVault message.
      nullable: true
      properties:
        allowUnauthedViews:
          description: The allowUnauthedViews field.
          readOnly: false
          type: boolean
        allowedViews:
          description: The allowedViews field.
          format: uint32
          readOnly: false
          type: integer
      title: Magic Vault
      type: object
      x-speakeasy-name-override: MagicVault
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````